Subject: Re: bug#26354: update on inode automake

From: Mathieu Lirzin <[email-masked]>
Date: Sun, 16 Apr 2017 12:02:54 +0200

tags 26354 notabug
close 26354

aotto <[email-masked]> writes:

> Am 13.04.2017 um 16:05 schrieb Mathieu Lirzin:
>
>> aotto <[email-masked]> writes:
>>
>>> I am working in the build environment NOT on btrf…
>>> I am working on a linux shared memory FS …
>>> at: /dev/shm/… (every linux has this)
>>>
>>> → perhaps this FS has some kind of optimization to
>>>    limit space usage.
>>>
>> Could you provide a minimal way to reproduce this issue?
>>
>> Thanks.
>>
> I found a work around for it… I patch the PATH in the automake project
> to call MY mv command…
>> cat mv
> exec /usr/bin/mv "$@" |& grep -v "sind die gleiche Datei" && true || true
>
>
> I have a src directory on a disk and the build directory on a memory
> FS under /dev/shm/…
>
> → I think every gnu automake project with C file compiling should show
> this·bug
> →it is NOT an automake bug→I Think it is an optimization of the MEM-FS
> to save space for
> equal files…

Since This is not an Automake bug, I am closing it.

Thanks.

-- 
Mathieu Lirzin
GPG: F2A3 8D7E EB2B 6640 5761  070D 0ADE E100 9460 4D37